# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

Name:           restlet
Version:        1.1.10
Release:        1%{?dist}
Epoch:          0
Summary:        Java REST framework
License:        Apache Software License 2.0
Group:          Development/Java
URL:            http://www.restlet.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
Source0:        restlet-1.1.10.tgz
# svn export http://restlet.tigris.org/svn/restlet/tags/1.1/1.1.10/ restlet-1.1.10 --username guest
# tar czf ../SOURCES/restlet-1.1.10.tgz restlet-1.1.10/

Patch0:         restlet-build.patch
Patch1:         restlet-PkixSslContextFactory.patch

BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  ant-contrib
BuildRequires:  org.osgi.compendium
BuildRequires:  org.osgi.core
BuildRequires:  servlet_2_5_api
BuildRequires:  findbugs
BuildRequires:  freemarker
BuildRequires:  glassfish-javamail
BuildRequires:  grizzly >= 0:1.9
#BuildRequires:  google-gwt
BuildRequires:  jsr311-1.0-api
BuildRequires:  json
BuildRequires:  apache-commons-httpclient
BuildRequires:  apache-commons-fileupload
BuildRequires:  apache-commons-pool
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-dbcp
BuildRequires:  apache-commons-io
BuildRequires:  apache-commons-logging
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-codec
BuildRequires:  jetty6
BuildRequires:  jetty6-ext
BuildRequires:  jibx
#BuildRequires:  net.oauth
BuildRequires:  simpleframework
BuildRequires:  spring2-context
BuildRequires:  spring2-webmvc
BuildRequires:  spring2-web
BuildRequires:  spring2-core
BuildRequires:  spring2-beans
BuildRequires:  jsslutils
BuildRequires:  velocity
BuildRequires:  junit44

Requires:  java >= 0:1.6.0

%description
Restlet, a RESTful Web framework for Java.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q 
%patch0 -b .sav0
%patch1 -b .sav1
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
ln -sf $(build-classpath ant-contrib) build/tools/ant-contrib/ant-contrib-1.0b3.jar
ln -sf $(build-classpath org.osgi.compendium) libraries/org.osgi_4.0/org.osgi.compendium.jar
ln -sf $(build-classpath org.osgi.core) libraries/org.osgi_4.0/org.osgi.core.jar
ln -sf $(build-classpath servlet_2_5_api) libraries/javax.servlet_2.5/javax.servlet.jar
ln -sf $(build-classpath freemarker) libraries/org.freemarker_2.3/org.freemarker.jar
ln -sf $(build-classpath grizzly/framework) libraries/com.sun.grizzly_1.9/com.sun.grizzly.framework.jar
ln -sf $(build-classpath grizzly/utils) libraries/com.sun.grizzly_1.9/com.sun.grizzly.utils.jar
mv libraries/com.google.gwt_1.5/gwt-user.jar.no libraries/com.google.gwt_1.5/gwt-user.jar
ln -sf $(build-classpath jsr311-1.0-api) libraries/javax.ws.rs_1.0/javax.ws.rs.jar
#mv libraries/javax.ws.rs_1.0/javax.ws.rs.jar.no libraries/javax.ws.rs_1.0/javax.ws.rs.jar
ln -sf $(build-classpath json) libraries/org.json_2.0/org.json.jar
ln -sf $(build-classpath commons-httpclient) libraries/org.apache.commons.httpclient_3.1/org.apache.commons.httpclient.jar
ln -sf $(build-classpath commons-fileupload) libraries/org.apache.commons.fileupload_1.2/org.apache.commons.fileupload.jar
ln -sf $(build-classpath commons-pool) libraries/org.apache.commons.pool_1.3/org.apache.commons.pool.jar
ln -sf $(build-classpath commons-collections) libraries/org.apache.commons.collections_3.2/org.apache.commons.collections.jar
ln -sf $(build-classpath commons-dbcp) libraries/org.apache.commons.dbcp_1.2/org.apache.commons.dbcp.jar
ln -sf $(build-classpath commons-io) libraries/org.apache.commons.io_1.3/org.apache.commons.io.jar
ln -sf $(build-classpath commons-logging) libraries/org.apache.commons.logging_1.1/org.apache.commons.logging.jar
ln -sf $(build-classpath commons-lang) libraries/org.apache.commons.lang_2.3/org.apache.commons.lang.jar
ln -sf $(build-classpath commons-codec) libraries/org.apache.commons.codec_1.3/org.apache.commons.codec.jar
ln -sf $(build-classpath jetty6/jetty6-util) libraries/org.mortbay.jetty_6.1/org.mortbay.jetty.util.jar
ln -sf $(build-classpath jetty6/jetty6) libraries/org.mortbay.jetty_6.1/org.mortbay.jetty.jar
ln -sf $(build-classpath jetty6/ext/jetty6-ajp) libraries/org.mortbay.jetty_6.1/org.mortbay.jetty.ajp.jar
ln -sf $(build-classpath jetty6/ext/jetty6-sslengine) libraries/org.mortbay.jetty_6.1/org.mortbay.jetty.https.jar
ln -sf $(build-classpath jibx/run) libraries/org.jibx_1.1/org.jibx.runtime.jar
mv libraries/net.oauth_1.0/net.oauth.jar.no libraries/net.oauth_1.0/net.oauth.jar
ln -sf $(build-classpath simpleframework) libraries/org.simpleframework_3.1/org.simpleframework.jar
#mv libraries/org.simpleframework_3.1/org.simpleframework.jar.no libraries/org.simpleframework_3.1/org.simpleframework.jar
ln -sf $(build-classpath spring2/context) libraries/org.springframework_2.5/org.springframework.context.jar
ln -sf $(build-classpath spring2/webmvc) libraries/org.springframework_2.5/org.springframework.webmvc.jar
ln -sf $(build-classpath spring2/core) libraries/org.springframework_2.5/org.springframework.core.jar
ln -sf $(build-classpath spring2/web) libraries/org.springframework_2.5/org.springframework.web.jar
ln -sf $(build-classpath spring2/beans) libraries/org.springframework_2.5/org.springframework.beans.jar
ln -sf $(build-classpath jsslutils/jsslutils) libraries/org.jsslutils_0.5/org.jsslutils.jar
#mv libraries/org.jsslutils_0.5/org.jsslutils.jar.no libraries/org.jsslutils_0.5/org.jsslutils.jar
ln -sf $(build-classpath velocity) libraries/org.apache.velocity_1.5/org.apache.velocity.jar
ln -sf $(build-classpath junit44) libraries/org.junit_4.4/org.junit.jar
ln -sf $(build-classpath glassfish-javamail-monolithic) ./libraries/javax.mail_1.4/javax.mail.jar

%build
export CLASSPATH=
cd build
ant -Dbackport=false build stage-maven-2

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/org.restlet.ext.atom_1.0.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/org.restlet.atom_1.0-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/org.restlet.ext.fileupload_1.2.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/org.restlet.fileupload_1.2-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/org.restlet.ext.freemarker_2.3.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/org.restlet.freemarker_2.3-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/org.restlet.ext.jaxb_2.1.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/org.restlet.jaxb_2.1-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/org.restlet.ext.jaxrs_1.0.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/org.restlet.jaxrs_1.0-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/org.restlet.ext.jibx_1.1.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/org.restlet.jibx_1.1-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/org.restlet.ext.json_2.0.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/org.restlet.json_2.0-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/org.restlet.ext.spring_2.5.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/org.restlet.spring_2.5-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/org.restlet.ext.velocity_1.5.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/org.restlet.velocity_1.5-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/org.restlet.ext.wadl_1.0.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/org.restlet.wadl_1.0-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/org.restlet.gwt.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/org.restlet.gwt-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/org.restlet.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/org.restlet-%{version}.jar

install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/com.noelios.restlet.ext.grizzly_1.9.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/com.noelios.restlet.ext.grizzly_1.9-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/com.noelios.restlet.ext.gwt_1.5.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/com.noelios.restlet.ext.gwt_1.5-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/com.noelios.restlet.ext.httpclient_3.1.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/com.noelios.restlet.ext.httpclient_3.1-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/com.noelios.restlet.ext.javamail_1.4.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/com.noelios.restlet.ext.javamail_1.4-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/com.noelios.restlet.ext.jdbc_3.0.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/com.noelios.restlet.ext.jdbc_3.0-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/com.noelios.restlet.ext.jetty_6.1.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/com.noelios.restlet.ext.jetty_6.1-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/com.noelios.restlet.ext.net.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/com.noelios.restlet.ext.net-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/com.noelios.restlet.ext.oauth_1.0.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/com.noelios.restlet.ext.oauth_1.0-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/com.noelios.restlet.ext.servlet_2.5.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/com.noelios.restlet.ext.servlet_2.5-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/com.noelios.restlet.ext.simple_3.1.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/com.noelios.restlet.ext.simple_3.1-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/com.noelios.restlet.ext.spring_2.5.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/com.noelios.restlet.ext.spring_2.5-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/com.noelios.restlet.ext.ssl.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/com.noelios.restlet.ext.ssl-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/com.noelios.restlet.ext.xdb_11.1.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/com.noelios.restlet.ext.xdb_11.1-%{version}.jar
install -m 0644 build/dist/classic/restlet-1.1snapshot/lib/com.noelios.restlet.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/com.noelios.restlet-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir}/%{name}
for jar in *-%{version}*.jar; do ln -sf ${jar} `echo ${jar} | sed "s|-%{version}||g"`;done)

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
%add_to_maven_depmap com.noelios.restlet com.noelios.restlet.ext.grizzly %{version} JPP/%{name} com.noelios.restlet.ext.grizzly_1.9
install -m 644 build/temp/poms/com.noelios.restlet.ext.grizzly_1.9.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-com.noelios.restlet.ext.grizzly_1.9.pom
%add_to_maven_depmap com.noelios.restlet com.noelios.restlet.ext.gwt %{version} JPP/%{name} com.noelios.restlet.ext.gwt_1.5
install -m 644 build/temp/poms/com.noelios.restlet.ext.gwt_1.5.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-com.noelios.restlet.ext.gwt_1.5.pom
%add_to_maven_depmap com.noelios.restlet com.noelios.restlet.ext.httpclient %{version} JPP/%{name} com.noelios.restlet.ext.httpclient_3.1
install -m 644 build/temp/poms/com.noelios.restlet.ext.httpclient_3.1.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-com.noelios.restlet.ext.httpclient_3.1.pom
%add_to_maven_depmap com.noelios.restlet com.noelios.restlet.ext.javamail %{version} JPP/%{name} com.noelios.restlet.ext.javamail_1.4
install -m 644 build/temp/poms/com.noelios.restlet.ext.javamail_1.4.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-com.noelios.restlet.ext.javamail_1.4.pom
%add_to_maven_depmap com.noelios.restlet com.noelios.restlet.ext.jdbc %{version} JPP/%{name} com.noelios.restlet.ext.jdbc_3.0
install -m 644 build/temp/poms/com.noelios.restlet.ext.jdbc_3.0.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-com.noelios.restlet.ext.jdbc_3.0.pom
%add_to_maven_depmap com.noelios.restlet com.noelios.restlet.ext.jetty %{version} JPP/%{name} com.noelios.restlet.ext.jetty_6.1
install -m 644 build/temp/poms/com.noelios.restlet.ext.jetty_6.1.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-com.noelios.restlet.ext.jetty_6.1.pom
%add_to_maven_depmap com.noelios.restlet com.noelios.restlet.ext.net %{version} JPP/%{name} com.noelios.restlet.ext.net
install -m 644 build/temp/poms/com.noelios.restlet.ext.net.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-com.noelios.restlet.ext.net.pom
%add_to_maven_depmap com.noelios.restlet com.noelios.restlet.ext.oauth %{version} JPP/%{name} com.noelios.restlet.ext.oauth_1.0
install -m 644 build/temp/poms/com.noelios.restlet.ext.oauth_1.0.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-com.noelios.restlet.ext.oauth_1.0.pom
%add_to_maven_depmap com.noelios.restlet com.noelios.restlet.ext.servlet %{version} JPP/%{name} com.noelios.restlet.ext.servlet_2.5
install -m 644 build/temp/poms/com.noelios.restlet.ext.servlet_2.5.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-com.noelios.restlet.ext.servlet_2.5.pom
%add_to_maven_depmap com.noelios.restlet com.noelios.restlet.ext.simple %{version} JPP/%{name} com.noelios.restlet.ext.simple_3.1
install -m 644 build/temp/poms/com.noelios.restlet.ext.simple_3.1.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-com.noelios.restlet.ext.simple_3.1.pom
%add_to_maven_depmap com.noelios.restlet com.noelios.restlet.ext.spring %{version} JPP/%{name} com.noelios.restlet.ext.spring_2.5
install -m 644 build/temp/poms/com.noelios.restlet.ext.spring_2.5.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-com.noelios.restlet.ext.spring_2.5.pom
%add_to_maven_depmap com.noelios.restlet com.noelios.restlet.ext.ssl %{version} JPP/%{name} com.noelios.restlet.ext.ssl
install -m 644 build/temp/poms/com.noelios.restlet.ext.ssl.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-com.noelios.restlet.ext.ssl.pom
%add_to_maven_depmap com.noelios.restlet com.noelios.restlet.ext.xdb %{version} JPP/%{name} com.noelios.restlet.ext.xdb_11.1
install -m 644 build/temp/poms/com.noelios.restlet.ext.xdb_11.1.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-com.noelios.restlet.ext.xdb_11.1.pom
%add_to_maven_depmap com.noelios.restlet com.noelios.restlet %{version} JPP/%{name} com.noelios.restlet
install -m 644 build/temp/poms/com.noelios.restlet.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-com.noelios.restlet.pom
%add_to_maven_depmap javax.ws.rs javax.ws.rs 1.0 JPP/%{name} javax.ws.rs_1.0
install -m 644 build/temp/poms/javax.ws.rs_1.0.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-javax.ws.rs_1.0.pom
%add_to_maven_depmap org.json org.json 2.0 JPP/%{name} org.json_2.0
install -m 644 build/temp/poms/org.json_2.0.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.json_2.0.pom
%add_to_maven_depmap org.jsslutils org.jsslutils 0.5 JPP/%{name} org.jsslutils_0.5
install -m 644 build/temp/poms/org.jsslutils_0.5.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.jsslutils_0.5.pom
%add_to_maven_depmap org.restlet org.restlet.ext.atom %{version} JPP/%{name} org.restlet.ext.atom_1.0
install -m 644 build/temp/poms/org.restlet.ext.atom_1.0.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.restlet.ext.atom_1.0.pom
%add_to_maven_depmap org.restlet org.restlet.ext.fileupload %{version} JPP/%{name} org.restlet.ext.fileupload_1.2
install -m 644 build/temp/poms/org.restlet.ext.fileupload_1.2.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.restlet.ext.fileupload_1.2.pom
%add_to_maven_depmap org.restlet org.restlet.ext.freemarker %{version} JPP/%{name} org.restlet.ext.freemarker_2.3
install -m 644 build/temp/poms/org.restlet.ext.freemarker_2.3.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.restlet.ext.freemarker_2.3.pom
%add_to_maven_depmap org.restlet org.restlet.ext.jaxb %{version} JPP/%{name} org.restlet.ext.jaxb_2.1
install -m 644 build/temp/poms/org.restlet.ext.jaxb_2.1.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.restlet.ext.jaxb_2.1.pom
%add_to_maven_depmap org.restlet org.restlet.ext.jaxrs %{version} JPP/%{name} org.restlet.ext.jaxrs_1.0
install -m 644 build/temp/poms/org.restlet.ext.jaxrs_1.0.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.restlet.ext.jaxrs_1.0.pom
%add_to_maven_depmap org.restlet org.restlet.ext.jibx %{version} JPP/%{name} org.restlet.ext.jibx_1.1
install -m 644 build/temp/poms/org.restlet.ext.jibx_1.1.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.restlet.ext.jibx_1.1.pom
%add_to_maven_depmap org.restlet org.restlet.ext.json %{version} JPP/%{name} org.restlet.ext.json_2.0
install -m 644 build/temp/poms/org.restlet.ext.json_2.0.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.restlet.ext.json_2.0.pom
%add_to_maven_depmap org.restlet org.restlet.ext.spring %{version} JPP/%{name} org.restlet.ext.spring_2.5
install -m 644 build/temp/poms/org.restlet.ext.spring_2.5.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.restlet.ext.spring_2.5.pom
%add_to_maven_depmap org.restlet org.restlet.ext.velocity %{version} JPP/%{name} org.restlet.ext.velocity_1.5
install -m 644 build/temp/poms/org.restlet.ext.velocity_1.5.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.restlet.ext.velocity_1.5.pom
%add_to_maven_depmap org.restlet org.restlet.ext.wadl %{version} JPP/%{name} org.restlet.ext.wadl_1.0
install -m 644 build/temp/poms/org.restlet.ext.wadl_1.0.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.restlet.ext.wadl_1.0.pom
%add_to_maven_depmap org.restlet org.restlet %{version} JPP/%{name} org.restlet
install -m 644 build/temp/poms/org.restlet.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.restlet.pom

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/temp/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Sat Sep 24 2011 Ralph Apel <r.apel@r-apel.de> 0:1.1.10-1
- first release

